# -*- coding: utf-8 -*-
#
# Univention Apache
#  baseconfig module: modifies the memory limit for PHP applications run
#  by apache
#
# Copyright 2012 Digitec GmbH extended from extension.py file of the Univention GmbH
#
# http://www.digitec-ses.de/ http://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <http://www.gnu.org/licenses/>.

import os, sys

def handler(bc,changes):
    if bc.get('php/timezone'):
        timezone = bc.get('php/timezone')
        try:
            f = open('/etc/php5/apache2/php.ini', 'r')
        except IOError, e:
            print e
            sys.exit(1)
        tmp = []
        line = f.readline()
            
        while line:
            if timezone and line[:15] == 'date.timezone = ':
                line = 'date.timezone = %s\n' % str(date.timezone)
            tmp.append(line)
            line = f.readline()
            
        f.close()
                                                     
                                                                                                                                                         
                                    
